<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [getTaskNames](./bitburner.gang.gettasknames.md)

## Gang.getTaskNames() method

List member task names.

**Signature:**

```typescript
getTaskNames(): string[];
```
**Returns:**

string\[\]

All valid tasks that Gang members can be assigned to.

## Remarks

RAM cost: 1 GB

Get the name of all valid tasks that Gang members can be assigned to.

